org.apache.synapse.mediators.xquery

## Class XQueryMediatorSerializer

- java.lang.Object
- - org.apache.synapse.config.xml.AbstractMediatorSerializer
  - - org.apache.synapse.mediators.xquery.XQueryMediatorSerializer

- All Implemented Interfaces:
    org.apache.synapse.config.xml.MediatorSerializer

      public class XQueryMediatorSerializer
      extends org.apache.synapse.config.xml.AbstractMediatorSerializer

  Serialize the given XQuery mediator into a XML

       <xquery key="string" [target="xpath"]>
         <variable name="string" type="string" [key="string"] [expression="xpath"]
            [value="string"]/>?
       </xquery>

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.config.xml.AbstractMediatorSerializer

      `DESCRIPTION_Q, fac, log, nullNS, PROP_Q, synNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XQueryMediatorSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMediatorClassName()`
    `org.apache.axiom.om.OMElement` | `serializeSpecificMediator(org.apache.synapse.Mediator m)`

    - ### Methods inherited from class org.apache.synapse.config.xml.AbstractMediatorSerializer

      `handleException, handleException, saveTracingState, serializeComments, serializeComments, serializeMediator, serializeMediatorProperties, serializeMediatorProperties, serializeNamespaces, serializeProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XQueryMediatorSerializer

          public XQueryMediatorSerializer()

  - ### Method Detail

    - #### serializeSpecificMediator

          public org.apache.axiom.om.OMElement serializeSpecificMediator(org.apache.synapse.Mediator m)

      Specified by:
        `serializeSpecificMediator` in class `org.apache.synapse.config.xml.AbstractMediatorSerializer`

    - #### getMediatorClassName

          public String getMediatorClassName()

Copyright © 2005–2018 Apache Software Foundation. All rights reserved.